package com.bocloud.nms.model.agile;

import java.util.List;

/**
 * 外部网关
 */
public class AgileExternalGatewayModel {
    private String uuid; // 外部网关ID
    private String name; // 外部网关名称
    private String remark; // 外部网关描述
    private String gatewayType; // 外部网关类型：Public, Private
    private List<String> publicIpPool; // 外部网关公网IP池
    private List<String> serviceIpPool;// 外部网关连接的IP列表
    private Boolean isTelcoGateway; // 是否电信云网关
    private String vrfName; // vrf
    private Boolean isAllShared; // 是否被所有租户共享

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getGatewayType() {
        return gatewayType;
    }

    public void setGatewayType(String gatewayType) {
        this.gatewayType = gatewayType;
    }

    public List<String> getPublicIpPool() {
        return publicIpPool;
    }

    public void setPublicIpPool(List<String> publicIpPool) {
        this.publicIpPool = publicIpPool;
    }

    public List<String> getServiceIpPool() {
        return serviceIpPool;
    }

    public void setServiceIpPool(List<String> serviceIpPool) {
        this.serviceIpPool = serviceIpPool;
    }

    public Boolean getIsTelcoGateway() {
        return isTelcoGateway;
    }

    public void setIsTelcoGateway(Boolean telcoGateway) {
        isTelcoGateway = telcoGateway;
    }

    public String getVrfName() {
        return vrfName;
    }

    public void setVrfName(String vrfName) {
        this.vrfName = vrfName;
    }

    public Boolean getIsAllShared() {
        return isAllShared;
    }

    public void setIsAllShared(Boolean allShared) {
        isAllShared = allShared;
    }
}
